[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "tuna"
version = "0.20"
description = "Application tuning GUI"
license = {text = "GPL-2.0-only"}
authors = [
    {name = "Arnaldo Carvalho de Melo", email = "acme@redhat.com"},
    {name = "John Kacur", email = "jkacur@redhat.com"}
]
maintainers = [
    {name = "John Kacur", email = "jkacur@redhat.com"}
]
requires-python = ">=3.10"
dependencies = [
    "python-linux-procfs",
]
classifiers = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: System Administrators",
    "License :: OSI Approved :: GNU General Public License v2 (GPLv2)",
    "Operating System :: POSIX :: Linux",
    "Programming Language :: Python :: 3",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: 3.12",
    "Topic :: System :: Systems Administration",
]

[project.urls]
Homepage = "https://www.kernel.org/pub/software/utils/tuna"
Source = "https://git.kernel.org/pub/scm/utils/tuna/tuna.git/"

[project.scripts]
tuna = "tuna.tuna:main"
oscilloscope = "tuna.oscilloscope:main"

[tool.setuptools.packages.find]
include = ["tuna*"]
